love.graphics.setBackgroundColor(0,0,0,0)

local g=love.graphics
local k=love.keyboard.isDown

local gravity =1800
local run=500
local jumpv=-900
local floor = 500

function love.load()
	--player
	m={}
	m.x=350
	m.y=50
	m.w=50
	m.h=50
	m.xvel=0
	m.yvel=0
	m.canJump = true	
	boxcolor={0,255,0,255}	
	
	--enemy
	n={}
	n.x=0
	n.y=550
	n.h=20
	n.w=800
	ncolor={255,255,255,255}
end

function love.update(dt)
	--DPAD
	if k("d") then  
		m.x = m.x + run * dt 
	end
	if k("a") then  
		m.x = m.x - run * dt 
	end
	
	
	--gravity
	m.y = m.y + ( m.yvel * dt)
	m.yvel =m.yvel + ( gravity * dt)
	
	
	--stop falling
	if m.y >= floor - m.h then
	   m.y= floor - m.h; m.yvel= 0;
	   m.canJump = true
    end	
	
		
end

function love.draw()
	g.setColor( ncolor )
	g.rectangle("line", n.x,floor ,n.w, n.h)
	
	--player rectangle
	g.setColor(boxcolor)
	g.rectangle("line", m.x,m.y ,m.w, m.h)	
end



function love.keypressed( key, unicode )
		if key == 'j' and m.canJump then
			 m.yvel = jumpv
			 m.canJump = false
		end
end
